#include "error.h"

const char * const warning_name[28] = {
	NULL,
	"bad-pragma",
	"bnd",
	"float-denorm",
	"float-overflow",
	"float-toolong",
	"float-underflow",
	"gnu-elf-extensions",
	"hle",
	"label-redef",
	"label-redef-late",
	"lock",
	"macro-defaults",
	"macro-params",
	"negative-rep",
	"not-my-pragma",
	"number-overflow",
	"orphan-labels",
	"phase",
	"ptr",
	"unknown-pragma",
	"unknown-warning",
	"user",
	"warn-stack-empty",
	"zeroing",
	"zext-reloc",
	"other",
	"all"
};

const char * const warning_help[28] = {
	NULL,
	"empty or malformed %pragma",
	"invalid BND prefixes",
	"floating point denormal",
	"floating point overflow",
	"too many digits in floating-point number",
	"floating point underflow",
	"using 8- or 16-bit relocation in ELF32, a GNU extension",
	"invalid HLE prefixes",
	"label redefined to an identical value",
	"label (re)defined during code generation",
	"LOCK prefix on unlockable instructions",
	"macros with more default than optional parameters",
	"macro calls with wrong parameter count",
	"regative %rep count",
	"%pragma not applicable to this compilation",
	"numeric constant does not fit",
	"labels alone on lines without trailing `:\'",
	"phase error during stabilization",
	"non-NASM keyword used in other assemblers",
	"unknown %pragma facility or directive",
	"unknown warning in -W/-w or warning directive",
	"%warning directives",
	"warning stack empty",
	"RESx in initialized section becomes zero",
	"relocation zero-extended to match output format",
	"any warning not specifially mentioned above",
	"all possible warnings"
};

const uint8_t warning_default[27] = {
	WARN_INIT_ON,
	WARN_INIT_OFF,
	WARN_INIT_ON,
	WARN_INIT_OFF,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_OFF,
	WARN_INIT_OFF,
	WARN_INIT_ON,
	WARN_INIT_OFF,
	WARN_INIT_ERR,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_OFF,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_OFF,
	WARN_INIT_ON,
	WARN_INIT_OFF,
	WARN_INIT_OFF,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_ON,
	WARN_INIT_ON
};

uint8_t warning_state[27];	/* Current state */
